public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Rick Farina" <zerochaos@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-radio/chirp/
Date: Fri, 25 Aug 2023 00:58:49 +0000 (UTC)	[thread overview]
Message-ID: <1692925108.bffef2a1cc79c8a4dfbfcffde5a63dd804ccc360.zerochaos@gentoo> (raw)

commit:     bffef2a1cc79c8a4dfbfcffde5a63dd804ccc360
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 25 00:58:28 2023 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Fri Aug 25 00:58:28 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bffef2a1

media-radio/chirp: add 20230823

Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>

 media-radio/chirp/Manifest              |  1 +
 media-radio/chirp/chirp-20230823.ebuild | 64 +++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/media-radio/chirp/Manifest b/media-radio/chirp/Manifest
index cfeca08799ee..6b2337d98e75 100644
--- a/media-radio/chirp/Manifest
+++ b/media-radio/chirp/Manifest
@@ -1 +1,2 @@
 DIST chirp-20230818.tar.gz 1750957 BLAKE2B 765a3cdffc51372c7012fd59112c00dbe58374e68434ec127e3d7b6702dc80371564244972457cebc44c1e51d5d50f05f413b263a63bbc94c88c0db1f437c380 SHA512 dcc8eadc75ea1e74c32dfc9c73f1857c1745cfbf1272934425a022fa663d1471cc8e79d63da9628369b833f7fc25ce86960924545ad5bfe2fe4d34509e7308eb
+DIST chirp-20230823.tar.gz 1752116 BLAKE2B 86ecef11a38f187c70257bede6557df1eb9772868fa1c64cf5c9c51dd4ff3e2dad1d575a829d251711828e4f536b8f3da25b0d8a4ca2fe38cf49a4b27c467053 SHA512 029846d4ec64894681ff6e1edda80d4b964623e88b95d59b362cc66b11f6d04cc636725c1ee2ffa6701b5537173a51b6bb2c0d4012a2d46c56b07a0c75655154

diff --git a/media-radio/chirp/chirp-20230823.ebuild b/media-radio/chirp/chirp-20230823.ebuild
new file mode 100644
index 000000000000..5b1a95d408b4
--- /dev/null
+++ b/media-radio/chirp/chirp-20230823.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# py3.12 blocked by wxpython
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="A free, open-source tool for programming your radio"
+HOMEPAGE="https://chirp.danplanet.com/"
+SRC_URI="https://trac.chirp.danplanet.com/${PN}_next/next-${PV}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+gui radioreference"
+
+RDEPEND="$(python_gen_cond_dep '
+	dev-python/pyserial[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	gui? (
+		dev-python/wxpython:4.0[${PYTHON_USEDEP}]
+		dev-python/yattag[${PYTHON_USEDEP}]
+	)
+	radioreference? ( dev-python/suds-community[${PYTHON_USEDEP}] )
+')"
+BDEPEND="test? ( $(python_gen_cond_dep '
+	dev-python/pytest-xdist[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+') )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-20230818_no-future.patch
+)
+
+distutils_enable_tests pytest
+
+# The alias map is an internal developer file not included in release tarballs.
+# Other disabled tests require Internet access.
+EPYTEST_DESELECT=(
+	tests/unit/test_directory.py::TestAliasMap
+	tests/unit/test_network_sources.py
+	tests/unit/test_repeaterbook.py
+)
+
+python_test() {
+	# From the contents of tests/ upstream currently only runs unit and driver
+	# tests, and the latter can take so long that they have even got a special
+	# script for only running them on drivers whose code has changed
+	# with respect to origin/master.
+	epytest tests/unit/
+}
+
+src_install() {
+	distutils-r1_src_install
+	if ! use gui; then
+		rm "${ED}"/usr/bin/${PN} || die
+	fi
+}


             reply	other threads:[~2023-08-25  0:58 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-25  0:58 Rick Farina [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-18  0:28 [gentoo-commits] repo/gentoo:master commit in: media-radio/chirp/ Sam James
2024-06-12 13:04 Marek Szuba
2024-04-07 14:05 Marek Szuba
2024-04-07 14:05 Marek Szuba
2024-03-11 15:51 Marek Szuba
2024-02-18 10:58 Marek Szuba
2024-02-18 10:54 Marek Szuba
2024-02-18 10:54 Marek Szuba
2023-12-24 11:22 Marek Szuba
2023-12-24 11:22 Marek Szuba
2023-12-24 11:22 Marek Szuba
2023-11-27 10:22 Marek Szuba
2023-11-24 17:13 Marek Szuba
2023-10-24 21:25 Marek Szuba
2023-10-24 21:25 Marek Szuba
2023-10-24 21:25 Marek Szuba
2023-09-19 12:52 Marek Szuba
2023-08-24 14:52 Rick Farina
2023-08-22  0:36 Rick Farina
2023-08-21 16:36 Marek Szuba
2023-08-21 13:46 Marek Szuba

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1692925108.bffef2a1cc79c8a4dfbfcffde5a63dd804ccc360.zerochaos@gentoo \
    --to=zerochaos@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox